// ControlBlockDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ALDAS.h"
#include "ControlBlockDlg.h"
#include "llcard.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CControlBlockDlg dialog

CControlBlockDlg::CControlBlockDlg(CWnd* pParent /*=NULL*/, LLCard * card)
	: CDialog(CControlBlockDlg::IDD, pParent)
{
	llcard = card;
	//{{AFX_DATA_INIT(CControlBlockDlg)
	control_block = -1;
	triggers = 0;
	cb0 = _T("");
	cb1 = _T("");
	cb2 = _T("");
	cb3 = _T("");
	//}}AFX_DATA_INIT
}

void CControlBlockDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CControlBlockDlg)
	DDX_Radio(pDX, IDC_RADIO1, control_block);
	DDX_Text(pDX, IDC_TRIGGERS, triggers);
	DDX_Text(pDX, IDC_CB_NAME0, cb0);
	DDX_Text(pDX, IDC_CB_NAME1, cb1);
	DDX_Text(pDX, IDC_CB_NAME2, cb2);
	DDX_Text(pDX, IDC_CB_NAME3, cb3);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CControlBlockDlg, CDialog)
	//{{AFX_MSG_MAP(CControlBlockDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

CString CControlBlockDlg::remove_path(const char * mystring) {
  const char * cur = mystring;
  char t[40];
  int i = 0;

  while (*cur != '\0') {
    if (*cur == '\\' || *cur == ':')
      i = 0;
    else             // Else copy this character and increment the ptrs.
      t[i++] = *cur;
    cur++;
  }
  t[i] = '\0';

  CString cs(t);
  return cs;
}

// CControlBlockDlg message handlers
BOOL CControlBlockDlg::OnInitDialog() {
	cb0 = remove_path(llcard->GetControlBlock(0));
	cb1 = remove_path(llcard->GetControlBlock(1));
	cb2 = remove_path(llcard->GetControlBlock(2));
	cb3 = remove_path(llcard->GetControlBlock(3));

	UpdateData(FALSE);

	return TRUE;
}
