// FitResultDlg.cpp : implementation file
//

#include "stdafx.h"
#include "aldas.h"
#include "Axis.h"
#include "FitResultDlg.h"
//#include "FitFunction.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFitResultDlg dialog


CFitResultDlg::CFitResultDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFitResultDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFitResultDlg)
	deviation = 0.0f;
	mean = 0.0f;
	//}}AFX_DATA_INIT
}


void CFitResultDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFitResultDlg)
	DDX_Text(pDX, IDC_DEVIATION, deviation);
	DDX_Text(pDX, IDC_MEAN, mean);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFitResultDlg, CDialog)
	//{{AFX_MSG_MAP(CFitResultDlg)
	ON_BN_CLICKED(IDC_CHANNEL, OnChannel)
	ON_BN_CLICKED(IDC_HISTO, OnHisto)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFitResultDlg message handlers

void CFitResultDlg::Init(CAxis * a1, CAxis * a2, float ave, float dev)
{
	axis1=a1;
	axis2=a2;
	mean = ave;
	deviation = dev;
}

BOOL CFitResultDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	graph.SubclassDlgItem (IDC_GRAPH, this);
	graph.Init(axis1, axis2, NULL);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


void CFitResultDlg::OnChannel() 
{
   viewMode=LineFitView;	
	graph.Init(axis1, NULL, NULL, viewMode);
	graph.Invalidate();
}

void CFitResultDlg::OnHisto() 
{
   viewMode=HistogramView;	
	graph.Init(axis1, NULL, NULL, viewMode);
	graph.Invalidate();
}
