// ThresholdDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ALDAS.h"
#include "ThresholdDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CThresholdDlg dialog


CThresholdDlg::CThresholdDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CThresholdDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CThresholdDlg)
	increment = 0.02;
	maximum = 0.3;
	minimum = 0.1;
	calVoltage = 0.8f;
	line0 = FALSE;
	line1 = TRUE;
	line2 = FALSE;
	line3 = TRUE;
	//}}AFX_DATA_INIT
}


void CThresholdDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CThresholdDlg)
	DDX_Text(pDX, IDC_INCREMENT, increment);
	DDX_Text(pDX, IDC_MAXIMUM, maximum);
	DDV_MinMaxDouble(pDX, maximum, 0., 2.5);
	DDX_Text(pDX, IDC_MINIMUM, minimum);
	DDV_MinMaxDouble(pDX, minimum, 0., 2.5);
	DDX_Text(pDX, IDC_CALIBRATION_VOLTAGE, calVoltage);
	DDV_MinMaxFloat(pDX, calVoltage, 0.f, 2.5f);
	DDX_Check(pDX, IDC_LINE0, line0);
	DDX_Check(pDX, IDC_LINE1, line1);
	DDX_Check(pDX, IDC_LINE2, line2);
	DDX_Check(pDX, IDC_LINE3, line3);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CThresholdDlg, CDialog)
	//{{AFX_MSG_MAP(CThresholdDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CThresholdDlg message handlers
