// CalibrationDlg.cpp : implementation file
//

#include "stdafx.h"
#include "aldas.h"
#include "CalibrationDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCalibrationDlg dialog


CCalibrationDlg::CCalibrationDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCalibrationDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCalibrationDlg)
	triggers = 200;
	calInc = 0.25f;
	calMax = 1.5f;
	calMin = 0.0f;
	thrInc = 0.05f;
	thrMax = 0.3f;
	thrMin = 0.0f;
	line0 = FALSE;
	line1 = TRUE;
	line2 = FALSE;
	line3 = TRUE;
	//}}AFX_DATA_INIT
}


void CCalibrationDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCalibrationDlg)
	DDX_Text(pDX, IDC_TRIGGERS, triggers);
	DDV_MinMaxInt(pDX, triggers, 0, 999999);
	DDX_Text(pDX, IDC_CAL_INC, calInc);
	DDV_MinMaxFloat(pDX, calInc, 0.f, 2.5f);
	DDX_Text(pDX, IDC_CAL_MAX, calMax);
	DDV_MinMaxFloat(pDX, calMax, 0.f, 2.5f);
	DDX_Text(pDX, IDC_CAL_MIN, calMin);
	DDV_MinMaxFloat(pDX, calMin, 0.f, 2.5f);
	DDX_Text(pDX, IDC_THR_INC, thrInc);
	DDV_MinMaxFloat(pDX, thrInc, 0.f, 2.5f);
	DDX_Text(pDX, IDC_THR_MAX, thrMax);
	DDV_MinMaxFloat(pDX, thrMax, 0.f, 2.5f);
	DDX_Text(pDX, IDC_THR_MIN, thrMin);
	DDV_MinMaxFloat(pDX, thrMin, 0.f, 2.5f);
	DDX_Check(pDX, IDC_LINE0, line0);
	DDX_Check(pDX, IDC_LINE3, line1);
	DDX_Check(pDX, IDC_LINE7, line2);
	DDX_Check(pDX, IDC_LINE8, line3);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCalibrationDlg, CDialog)
	//{{AFX_MSG_MAP(CCalibrationDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCalibrationDlg message handlers
