// SelectModuleDlg.cpp : implementation file

#include "stdafx.h"
#include <afxtempl.h>

#include "aldas.h"
#include "SelectModuleDlg.h"

#include "llcard.h"
#include "module.h"
#include "message.h"
#include "dspcard.h"

#include "hal.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CALDASApp theApp;

// CSelectModuleDlg dialog

CSelectModuleDlg::CSelectModuleDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSelectModuleDlg::IDD, pParent)
{
	hal = theApp.GetHal();
	//{{AFX_DATA_INIT(CSelectModuleDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CSelectModuleDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSelectModuleDlg)
	DDX_Control(pDX, IDC_MODULE_COMBO, moduleCombo);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSelectModuleDlg, CDialog)
	//{{AFX_MSG_MAP(CSelectModuleDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CSelectModuleDlg message handlers

BOOL CSelectModuleDlg::OnInitDialog() {
	CDialog::OnInitDialog();

	LLCard * moduleParent;
	DSP * llParent;
	CString moduleName;
	int location;

	int size = hal->moduleArray.GetSize();
	for (int i=0; i<hal->moduleArray.GetSize(); i++) {
		if (hal->moduleArray[i] == NULL) break;
		moduleParent = hal->moduleArray[i]->llCard;
		llParent = moduleParent->ParentDSP;
		if (moduleParent && llParent) {
			moduleName = hal->moduleArray[i]->GetModuleName();
			location = moduleCombo.AddString(moduleName);
			moduleCombo.SetItemData(location, i);  
			// Mark the module by its order in moduleArray
		}
	}
	moduleCombo.SetCurSel(0);
	UpdateData(FALSE);
	return TRUE;
}

void CSelectModuleDlg::OnOK() 
{
	int index = moduleCombo.GetCurSel();
	moduleNumber = moduleCombo.GetItemData(index);
	CDialog::OnOK();
}
