// TakeDataDlg.h : header file
////////////////////////////////////////////////////////////////////////
// CTakeDataDlg dialog

#define WM_TD_START WM_USER+5

#include "HistoControl.h"

class CData; // forward declaration
class HAL;

class CTakeDataDlg : public CDialog
{
// Construction
public:
	void Init(CData* d, int m, int t, int s);
	unsigned int triggers, maxTriggers;// number of triggers obtained / requested
	BOOL triggerSource;
	float rate; // data taking rate
	CData* data; // pointer to the hit map and the dsp
//	UINT hitType;
	CTakeDataDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTakeDataDlg)
	enum { IDD = IDD_TAKEDATA };
	CEdit	rateBox;
	CProgressCtrl	progress;
	CEdit	trigBox;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTakeDataDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTakeDataDlg)
	afx_msg void OnReset();
	afx_msg void OnStop();
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	virtual void OnCancel();
	//}}AFX_MSG
	
	long OnTDStart(UINT wParam, long lParam);

	DECLARE_MESSAGE_MAP()
private:
	HAL * hal;
	clock_t beginTime;
//	int AddHits(unsigned int * mess);
	CHistoControl histo;
//	int link;
	int moduleIndex;
	int fifo;
	int drawn; // counts for TDStart
	int istop;
	UINT maxChannels; // FIXME make private, init with DSP::GetNumChannels();
};
